<?php

$objDepartment = SystemDepartment::LoadById($objPatientNursing->DepartmentId);
$strType = $objDepartment->GroupName == 'RUANGAN' ? 'Rawat Inap' : ($objDepartment->GroupName == 'POLI' ? 'Rawat Jalan' : 'IGD');
$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);
$objMedicalDoctor = HmisRefEmployee::LoadById($objActivityRequestExamnation->ExpertiseBy);
$strDoctorName = $objMedicalDoctor ? $objMedicalDoctor->FirstName : '';

$al = array($objPatientNursing->Address);
if ($objPatientNursing->DomicilyVillageName)
    $al[] = $objPatientNursing->DomicilyVillageName;
if ($objPatientNursing->DomicilySubDistrictName)
    $al[] = $objPatientNursing->DomicilySubDistrictName;
if ($objPatientNursing->DomicilyDistrictName)
    $al[] = $objPatientNursing->DomicilyDistrictName;
if ($objPatientNursing->DomicilyProvinceName)
    $al[] = $objPatientNursing->DomicilyProvinceName;
$alamat = ucwords(implode(', ', $al));

$objUser = unserialize( $_SESSION[__USER_LOGIN__] );

?>
<html>

<head>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <script>
        function printE(){
            cetakElectron('label', window.location.href, null);
        }
    </script>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <style type="text/css">
      input.djohar {
  border-bottom: none;
  border-left:none;
  border-right:none;
  border-top:none;
 }  
        @media print {
            .noprint {
                display: none;
            }
        }

        @media screen {
            ...
        }

        table thead {
            display: table-header-group;
        }

        .table {
            border: 1px solid #666;
            border-collapse: collapse;
            width: 100%;
        }

        .td {
            border: 1px solid #666;
            font-size: 12px;
            line-height: 12px;
            vertical-align: middle;
            padding: 5px;
            font-family: "Arial";
        }
        
    </style>
    <style type="text/css" media="all">
        @media print {
            @page {
                size: portrait;
                margin-top: 2cm;
                margin-bottom: 1cm;
                margin-left: 1cm;
                margin-right: 1cm;
            }
        }

        table thead {
            display: table-header-group;
        }

        .table {
            border: 1px solid #000000;
            border-collapse: collapse;
            width: 100%;
        }

        .td {
            border: 1px solid #000000;
            font-size: 12px;
            line-height: 12px;
            vertical-align: middle;
            padding: 5px;
            font-family: "Arial";
        }

        .tx {
            border: 0px solid #000000;
            font-size: 11px;
            line-height: 12px;
            vertical-align: middle;
            padding: 5px;
            font-family: "Arial";
        }

        h2 {
            margin-top: 0;
            margin-bottom: 0;
            font-family: "Arial";
        }

        .td2 {
            border: 0px solid #000000;
            font-size: 12px;
            line-height: 15px;
            vertical-align: middle;
            padding: 0px;
            font-family: "Arial";
        }
    </style>

</head>

<body>
    <div class="noprint">
        <a href="#" onclick="window.close()"><img src="<?= __ASSETS__ . '/user/images/arrow.jpg'?>" alt="" class=""
                title="print" height="30" width="30"></a>
        <a onclick="print()" style="cursor:move"><img src="<?= __ASSETS__ . '/user/images/print-icon.png'?>" alt=""
                title="Print Epson" height="30" width="30"></a>
        <button onclick="printE()">E-Print</button>
    </div>

    <table border="0" cellpadding="1" cellspacing="0" width="100%">
        <tbody>
            <tr>
                <td align="center">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tbody style="text-align: center">
                        <tr>
                        
                        
                        
                                <div style="width:800px;">
                                <?php $pathFoto = '/assets/images/picture_middle.jpg'; ?>
                                <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                                    <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="650px" height="150px" >
                                <?php } else { ?>
                                    &nbsp;<?php $pathFoto = '/assets/images/picture_middle.jpg'; ?>
                                <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                                    <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" width="650px" height="150px" >
                                <?php } else { ?>
                                    &nbsp;
                                <?php } ?>
                                
                                <?php } ?>
                            </div>
                        </div>
                        </tr>
                        </tbody>
                            <tr>
                                        <td colspan="4" class="tx" align="center">
                                            <hr style="border:double">
                                        </td>
                                    </tr>
                            <tr>
                                <td class="tx" width="15%"><strong>Asal Ruangan</strong></td>
                                <td class="tx" width="32%">: <?= $strType ?> ( <?= $objPatientNursing->DepartmentName; ?>
                                    <?= $objDepartment->GroupName == 'RUANGAN' ? $objPatientNursing->PresentClassName : '' ?>)</td>
                                <td class="tx" width="16%"><strong>No RM</strong></td>
                                <td class="tx" width="37%">: <?= $objPatientNursing->Mr ?></td>
                            </tr>
                            <tr>

                                <td class="tx"><strong>Dokter Penanggung Jawab</strong></td>
                                <td class="tx">: <?= $strDoctorName ?>
                                </td>
                                <td class="tx"><strong>Nama Pasien</strong></td>
                                <td class="tx">: <?= $objPatientNursing->FullName ?>, <?= $objHmisPatientNursing->TitleName ?></td>
                    		<?php if ($objHmisPatientNursing->NursingCategory == '3') { ?>                    
                    		<?php } else { ?>
                    		<?php } ?> </td>
                            </tr>
                            <tr>
                                <td class="tx"><strong>Tanggal dan  Waktu&nbsp;Permintaan</strong></td>
                                <td class="tx">:  <?= $objActivityRequestExamnation->CreateTime->PhpDate('d-m-Y') ?>,&nbsp;Jam:&nbsp;<?= $objActivityRequestExamnation->CreateTime->PhpDate('H:i:s') ?></td>
                                <td class="tx"><strong>Umur</strong></td>
                                <td class="tx">:
                                    <?= $objActivityRequestExamnation->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objActivityRequestExamnation->DateOfBirth->getTimestamp(), $objActivityRequestExamnation->CreateTime->getTimestamp())?>
                                </td>
                            </tr>
                            <tr>
                                <td class="tx"><strong>Tanggal dan  Waktu Hasil Pemeriksaan</strong></td>
                                <td class="tx">:
                                    <?= $objActivityRequestExamnation->EntryDate->PhpDate('d-m-Y') ?>,&nbsp;Jam:&nbsp;<?= $objActivityRequestExamnation->EntryTime->PhpDate('H:i:s') ?></td>
                                </td>
                                <td class="tx"><strong>Alamat</strong></td>
                                <td class="tx">:
                                    <?= $objPatientNursing->Address ? $objPatientNursing->Address : $objPatientNursing->DomicilyAddress ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="tx"><b>Tanggal dan Waktu Pencetakan Hasil</b></td>
                                <td class="tx">:
                                    <?= date('d F Y') ?>&nbsp;,&nbsp;Jam:&nbsp;<?= date('H:i:s') ?>
                                </td>
				<td class="tx"><strong>Dokter Poli/Ruangan</strong></td>
                                <td class="tx">:
                                    <?= $objActivityRequestExamnation->RequestByDoctorName ; // $objPatientNursing->DoctorName ?>
                                </td>
                            </tr>

			 

                            <tr>
                             <!--   <td class="tx"><b>Notes</b></td>
                                <td class="tx">:
                                    <input type="text" placeholder="Notif spt: Tlh Diteliti Scr Manual" size="30"></input>
                                    <h4></h4>
                                </td>-->
                            </tr>
                            <tr>
                                <td colspan="4" class="tx"></td>
                            </tr>
                        </tbody>
                    </table>


                    <table class="table" border="1" cellpadding="3" cellspacing="0" width="100%">
                        <tbody>
                            <tr>
                                <td class="td" width="4%" ; align="center" ; ><strong>No</strong></td>
                                <td class="td" width="19%" ; align="center" ; ><strong>Paramater</strong></td>
                                <td class="td" width="33%" ; align="center" ; ><strong>Hasil</strong></td>
                                <td class="td" width="14%" ; align="center" ; ><strong>Satuan</strong></td>
                                <td class="td" width="30%" ; align="center" ; ><strong>Nilai Rujukan</strong></td>
                            </tr>

                            <?php
                if ($objActivityRequestExamnationDetailLabs) {
                    $counter = 1;
                    $footer_cov = false;
                    foreach ($objActivityRequestExamnationDetailLabs as $itemDetailLab ) {
                        ?>
                            <tr>
                                <?php if ($itemDetailLab->DataType=='GROUP') { ?>
                                
				<td align="right"><?= $counter++;?></td>
                                <td class="td" colspan="4"><b><?= $itemDetailLab->MedicalExaminationDescription ?></b>
                                </td>
                                <?php } else { ?>
                                <td class="td"></td>
                                <td class="td"><?= $itemDetailLab->MedicalExaminationDescription ?></td>
                                <td class="td" ; align="center" ; ><?= $itemDetailLab->UraianTindakanEdit ? $itemDetailLab->UraianTindakanEdit : $itemDetailLab->ResultData ?></td>
                                <td class="td" width="14%" ; align="center" ;><?= $itemDetailLab->MetricUnit ?></td>
                                <td class="td" width="30%" : align="left" ;><?= $itemDetailLab->MedicalExaminationNotesNormalValue ?>
                                </td>
                                <?php } ?>
                            </tr>
                            <?php
                            $objHmisRefMedicalExaminationTemplate = HmisRefMedicalExaminationTemplate::Load($itemDetailLab->MedicalExaminationId);
                            if(stripos($objHmisRefMedicalExaminationTemplate->GroupName, 'T001') !== false){
                                $footer_cov = true;
                            }
                    }
                }
                ?>
                            <tr>
                                <td colspan="5" class="td" align="center">&nbsp;</td>
                            </tr>

                        </tbody>
                    </table>

                    <table border="0" cellpadding="3" cellspacing="0" width="100%">
                        <tbody>
                            <tr><td width="100%">*Operator:&nbsp;<i><?= $objUser->FullName; ?></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>


                    <table class="table" border="1" cellpadding="3" cellspacing="0" width="100%">
                        <tbody>
                            <tr>
                                <td align="center" width="70%">
                                    <?php 
                                    if($footer_cov){
                                    ?>
                                        <ul style="text-align: left"><b style="margin-left:-0.5cm; font-size:17px">Catatan
                                            <li style="margin-right:0.5cm; margin-top:0.2cm; font-size:16px">
                                            1. Hasil (-) Non Reaktif:
                                               Dilakukan pemeriksaan Rapid Test Antibody ulang 7 - 10 hari.
                                            <br> </ul>
                                        <ul style="text-align: left"><i></i>
                                            <li style="margin-right:0.5cm; margin-top:0.2cm; font-size:16px">
                                            2. Hasil (+) Reaktif:
                                               Test RT-PCR
                                            <br> 
  
                                        </ul>
                                    <?php }else{ ?>
                                        <h5>SEMOGA CEPAT SEMBUH</h5>
                                    <?php } ?>
                                </td>
                                <td align="center" width="74%">
                                    <table border="0" width="100%">
                                        <tbody>
                                            <tr>
                                                <td width="74%">
                                                    <div align="center">
                                                        <div><h5>Situbondo&nbsp; <p></p></h5></div>
<div width="50px" align="center" >
<img src="<?= __USER_ASSETS__ ?>/xdev/qrcode.php?text==<?= $strExpertiseByName ?>" style="width: 2.5cm; height: 2.5cm; padding: 0;"></div>

                                                    <div>    (dr. Nelly Ismayasih, Sp. PK)
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>


    <?php
    
    
    
    ?>
    
    
 <table  border="0"  width="100%">
<tr>
<td align="center">Important Notes:&nbsp;
                                    <input type="text" class="djohar" align="center"
placeholder="" size="103"></input>
</td>

</tr>
<tr><td><hr color="black" style="double"></hr>


<script language="javascript" type="text/javascript">
    var tableToExcel = (function () {
        var uri = 'data:application/vnd.ms-excel;base64,'
            , template = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"><head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet><x:Name>{worksheet}</x:Name><x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet></x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--></head><body><table>{table}</table></body></html>'
            , base64 = function (s) {
            return window.btoa(unescape(encodeURIComponent(s)))
        }
            , format = function (s, c) {
            return s.replace(/{(\w+)}/g, function (m, p) {
                return c[p];
            })
        }
        return function (table, name) {
            if (!table.nodeType) table = document.getElementById(table)
            var ctx = {worksheet: name || 'Worksheet', table: table.innerHTML}
            window.location.href = uri + base64(format(template, ctx))
        }
    })()
</script>
</body>

</html>
